Skip to content
masterclass Buddy

n8n · Concept

Executions

An execution is one run of an n8n workflow. Runs can be manual for testing or production runs started automatically by triggers and schedules.

Last updated

Syntax

GET /api/v1/executions

In-depth API docs are only for subscribers: parameters, examples, common mistakes and interview practice.

Subscribe
  • Manual executions
  • Partial executions
  • Production executions
  • View all executions
  • View executions for a single workflow
  • Execution data redaction
  • Debug and re-run past executions

Source: Understand executions | Build | n8n Docs. Checked 2026-11-03.